Name:		irssi
Version:	0.8.15
Release: 	%mkrel 15

Summary:	IRC client
License:	GPLv2+
Group:		Networking/IRC
URL:		http://irssi.org/
Source0:	http://irssi.org/files/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel
BuildRequires:	glib2-devel
BuildRequires:  openssl-devel
BuildRequires:  perl-devel

Suggests:   irssi-perl

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package	devel
Group:		Development/C
Summary:	Static libraries for the development of irssi applications
Requires:	%{name} = %{version}

%description	devel
Static libraries for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}
Requires:	perl = %(rpm -q --qf '%%{epoch}:%%{version}' perl)
Conflicts:	perl-silc

%description	perl
Perl plugin for irssi.

%prep
%setup -q

%build
%configure2_5x	--with-plugins \
		--enable-ipv6 \
		--with-proxy \
		--with-socks \
		--with-bot \
		--with-perl=module \
		--with-perl-lib=%{perl_vendorlib}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Files that should not be installed:
rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS README TODO NEWS docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/scripts
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libfe_perl.*
%exclude %{_libdir}/%{name}/modules/libperl_core.*
%{_libdir}/%{name}/modules/*.so
%{_libdir}/%{name}/modules/*.la
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}/modules/*.a
%{_includedir}/%{name}

%files perl
%defattr(-,root,root)
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libfe_perl.la
%{_libdir}/%{name}/modules/libperl_core.so
%{_libdir}/%{name}/modules/libperl_core.la
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*
%{_datadir}/%{name}/scripts





%changelog

* Sun Mar 17 2013 tv <tv> 0.8.15-15.mga3
+ Revision: 403553
- rebuild for new perl

* Sat Jan 12 2013 umeabot <umeabot> 0.8.15-14.mga3
+ Revision: 354499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 tv <tv> 0.8.15-13.mga3
+ Revision: 314463
- rebuild for new perl

* Thu Aug 23 2012 jquelin <jquelin> 0.8.15-12.mga3
+ Revision: 283288
- perl 5.16.1 rebuild

* Wed May 30 2012 jquelin <jquelin> 0.8.15-11.mga3
+ Revision: 250792
- perl 5.16 rebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.8.15-10.mga2
+ Revision: 162704
- requiring exact perl version, otherwise perl upgrades breaks irssi-perl

* Sun Oct 16 2011 jquelin <jquelin> 0.8.15-9.mga2
+ Revision: 155491
- perl 5.14.2 rebuild

* Tue Jul 12 2011 jquelin <jquelin> 0.8.15-8.mga2
+ Revision: 123106
- perl 5.14.1 rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.8.15-6.mga2
+ Revision: 60374
- rebuild

* Sun Jan 09 2011 kharec <kharec> 0.8.15-5.mga1
+ Revision: 2025
- imported package irssi

